org.apache.xalan.xsltc.dom

## Class CollatorFactoryBase

- java.lang.Object
- - org.apache.xalan.xsltc.dom.CollatorFactoryBase

All Implemented Interfaces:
  CollatorFactory

    public class CollatorFactoryBase
    extends java.lang.Object
    implements CollatorFactory

Author:
  W. Eliot Kimber (eliot@isogen.com)

### Field Summary

Fields
`static java.text.Collator` `DEFAULT_COLLATOR`
`static java.util.Locale` `DEFAULT_LOCALE`

### Constructor Summary

Constructors
Constructor and Description
`CollatorFactoryBase()`

### Method Summary

Methods
`java.text.Collator` `getCollator(java.util.Locale locale)`
`java.text.Collator` `getCollator(java.lang.String lang, java.lang.String country)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_LOCALE

    public static final java.util.Locale DEFAULT_LOCALE

#### DEFAULT_COLLATOR

    public static final java.text.Collator DEFAULT_COLLATOR

### Constructor Detail

#### CollatorFactoryBase

    public CollatorFactoryBase()

### Method Detail

#### getCollator

    public java.text.Collator getCollator(java.lang.String lang,
                                 java.lang.String country)

Specified by:
  `getCollator` in interface `CollatorFactory`

#### getCollator

    public java.text.Collator getCollator(java.util.Locale locale)

Specified by:
  `getCollator` in interface `CollatorFactory`